{% extends 'base.html.twig' %}

{% block title %}Partage de dépense entre amis{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1>Partage de dépense entre amis</h1>


    {{ form_start(form) }}

    <h3>Participants</h3>
    <ul class="Participant" data-prototype="{{ form_widget(form.participant.vars.prototype)|e('html_attr') }}">
        <button type="button" class="add_item_link btn btn-primary"  data-collection-holder-class="Participant" >Ajouter un Participant</button>


          {% for p in form.participant %}
            <div id="participant">
                <li>{{ form_row(p.nom) }}
                    {{ form_row(p.montantAvance) }}</li>
            </div>
        {% endfor %}
    </ul>


    {{ form_end(form) }}

    <table class="table table-sm">
        <thead>
        <tr>
            <th scope="col">Une solution</th>
        </tr>
        </thead>
        {% for s in solution %}
        <tbody>
        <tr>
            <td>{{ s }}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>



        <table class="table table-sm">
        <thead>
        <tr>
            <th scope="col">Somme total dépenser</th>
            <th scope="col">Nombre de participant</th>
            <th scope="col">Moyenne de la somme totale dépenser</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>{{ totalSomme }}</td>
            <td>{{ nbParticipant }}</td>
            <td>{{ sommeParParticipant }}</td>
        </tr>
        </tbody>
    </table>

    <table class="table table-dark">
        <thead>
        <tr>
            <th scope="col">Nom</th>
            <th scope="col">Montant à Recevoir</th>
            <th scope="col">Montant à payer</th>
        </tr>
        </thead>
    {% for t in tabParticipant %}
            <tbody>
            <tr>
                <th>{{ t.nom }}</th>
                <td>{{ t.montantARecevoir }}</td>
                <td>{{ t.montantAPayer }}</td>
            </tr>
            </tbody>
    {% endfor %}
    </table>

</div>
{% endblock %}

{% block javascripts %}
    <script>

        jQuery(document).ready(function() {

            $collectionHolder = $('ul.Participant');
            console.log($collectionHolder)
            $collectionHolder.find('li').each(function() {
                console.log($(this))

                addParticipantFormDeleteLink($(this));
            });

            var $participantCollectionHolder = $('ul.Participant');

            $participantCollectionHolder.data('index', $participantCollectionHolder.find('input').length);

            $('body').on('click', '.add_item_link', function (e) {

                var $collectionHolderClass = $(e.currentTarget).data('collectionHolderClass');

                addFormToCollection($collectionHolderClass);

            })
        });
        function addParticipantForm() {
            addParticipantFormDeleteLink($newFormLi);
        }

        function addParticipantFormDeleteLink($ParticipantFormLi) {
            var $removeFormButton = $('<button type="button">Supprimer le participant</button>');
            $ParticipantFormLi.append($removeFormButton);
            $removeFormButton.on('click', function(e) {
                $ParticipantFormLi.remove();
            });
        }

        function addFormToCollection($collectionHolderClass) {
            var $collectionHolder = $('.' + $collectionHolderClass);

            var prototype = $collectionHolder.data('prototype');

            var index = $collectionHolder.data('index');

            var newForm = prototype;

            newForm = newForm.replace(/__name__/g, index);

            $collectionHolder.data('index', index + 1);

            var $newFormLi = $('<div id="participant"></div>').append(newForm);
            $collectionHolder.append($newFormLi)
        }





    </script>
{% endblock %}